<!DOCTYPE html>
<html>

<head>
    <meta charset='UTF-8'>
    <title>Eventos #02</title>
    <link rel='stylesheet' href='css/estilo.css'>
    <script src='js/jquery.js'></script>
    <style>
        input {
            font-size: 2em;
        }
    </style>
</head>

<body class='conteudo exercicio'>
    <h1>Eventos #02</h1>
    <div id='div1'>1</div>
    <div id="resultado1">?</div>
    <br>
    <input type="text" placeholder="Digite e Selecione">
    <div id="resultado2">?</div>
    <script>
        const alternarDestaque = () => $('#div1').toggleClass('destaque')
        // $('#div1').on('mouseenter mouseleave', alternarDestaque)
        $('#div1').hover(alternarDestaque, e => {})

        $('#div1').one('mouseenter', e => alert('Aviso Importante: Obrigado!!!'))
        $('#div1').dblclick(e => $('#div1').fadeOut(1000).fadeIn(1000))

        $(window).resize(function(e) {
            const l = $(window).width()
            const a = $(window).height()
            $('#resultado1').html(`Largura: ${l} e Altura ${a}`)
        })

        $(':input').select(e => {
            const inicio = e.target.selectionStart
            const fim = e.target.selectionEnd
            $('#resultado2').html(e.target.value.substring(inicio, fim))
        })
    </script>
</body>